Package org.h2.jdbc.meta

# Class DatabaseMeta

java.lang.Object
org.h2.jdbc.meta.DatabaseMeta

Direct Known Subclasses:
  `DatabaseMetaLegacy`, `DatabaseMetaLocal`, `DatabaseMetaRemote`

public abstract class DatabaseMeta extends Object
Database meta information.

## Constructor Summary

Constructors
Constructor
Description
`DatabaseMeta()`

## Method Summary

Modifier and Type
Method
Description
`abstract DefaultNullOrdering`
`defaultNullOrdering()`
INTERNAL
`abstract ResultInterface`
`getAttributes(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern)`
INTERNAL
`abstract ResultInterface`
`getBestRowIdentifier(String catalogPattern, String schemaPattern, String tableName, int scope, boolean nullable)`
INTERNAL
`abstract ResultInterface`
`getCatalogs()`
INTERNAL
`abstract ResultInterface`
`getColumnPrivileges(String catalog, String schema, String table, String columnNamePattern)`
INTERNAL
`abstract ResultInterface`
`getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
INTERNAL
`abstract ResultInterface`
`getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable)`
INTERNAL
`abstract int`
`getDatabaseMajorVersion()`
INTERNAL
`abstract int`
`getDatabaseMinorVersion()`
INTERNAL
`abstract String`
`getDatabaseProductVersion()`
INTERNAL
`abstract ResultInterface`
`getExportedKeys(String catalog, String schema, String table)`
INTERNAL
`abstract ResultInterface`
`getFunctionColumns(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern)`
INTERNAL
`abstract ResultInterface`
`getFunctions(String catalog, String schemaPattern, String functionNamePattern)`
INTERNAL
`abstract ResultInterface`
`getImportedKeys(String catalog, String schema, String table)`
INTERNAL
`abstract ResultInterface`
`getIndexInfo(String catalog, String schema, String table, boolean unique, boolean approximate)`
INTERNAL
`abstract String`
`getNumericFunctions()`
INTERNAL
`abstract ResultInterface`
`getPrimaryKeys(String catalog, String schema, String table)`
INTERNAL
`abstract ResultInterface`
`getProcedureColumns(String catalog, String schemaPattern, String procedureNamePattern, String columnNamePattern)`
INTERNAL
`abstract ResultInterface`
`getProcedures(String catalog, String schemaPattern, String procedureNamePattern)`
INTERNAL
`abstract ResultInterface`
`getPseudoColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
INTERNAL
`abstract ResultInterface`
`getSchemas()`
INTERNAL
`abstract ResultInterface`
`getSchemas(String catalog, String schemaPattern)`
INTERNAL
`abstract String`
`getSearchStringEscape()`
INTERNAL
`abstract String`
`getSQLKeywords()`
INTERNAL
`abstract String`
`getStringFunctions()`
INTERNAL
`abstract ResultInterface`
`getSuperTables(String catalog, String schemaPattern, String tableNamePattern)`
INTERNAL
`abstract ResultInterface`
`getSuperTypes(String catalog, String schemaPattern, String typeNamePattern)`
INTERNAL
`abstract String`
`getSystemFunctions()`
INTERNAL
`abstract ResultInterface`
`getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern)`
INTERNAL
`abstract ResultInterface`
`getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types)`
INTERNAL
`abstract ResultInterface`
`getTableTypes()`
INTERNAL
`abstract String`
`getTimeDateFunctions()`
INTERNAL
`abstract ResultInterface`
`getTypeInfo()`
INTERNAL
`abstract ResultInterface`
`getUDTs(String catalog, String schemaPattern, String typeNamePattern, int[] types)`
INTERNAL
`abstract ResultInterface`
`getVersionColumns(String catalog, String schema, String table)`
INTERNAL

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabaseMeta

public DatabaseMeta()

## Method Details

### defaultNullOrdering

public abstract DefaultNullOrdering defaultNullOrdering()
INTERNAL

Returns:
  DefaultNullOrdering
See Also:
  - `DatabaseMetaData.nullsAreSortedHigh()`
  - `DatabaseMetaData.nullsAreSortedLow()`
  - `DatabaseMetaData.nullsAreSortedAtStart()`
  - `DatabaseMetaData.nullsAreSortedAtEnd()`

### getDatabaseProductVersion

public abstract String getDatabaseProductVersion()
INTERNAL

Returns:
  product version as String
See Also:
  - `DatabaseMetaData.getDatabaseProductVersion()`

### getSQLKeywords

public abstract String getSQLKeywords()
INTERNAL

Returns:
  list of supported SQL keywords
See Also:
  - `DatabaseMetaData.getSQLKeywords()`

### getNumericFunctions

public abstract String getNumericFunctions()
INTERNAL

Returns:
  list of supported numeric functions
See Also:
  - `DatabaseMetaData.getNumericFunctions()`

### getStringFunctions

public abstract String getStringFunctions()
INTERNAL

Returns:
  list of supported string functions
See Also:
  - `DatabaseMetaData.getStringFunctions()`

### getSystemFunctions

public abstract String getSystemFunctions()
INTERNAL

Returns:
  list of supported system functions
See Also:
  - `DatabaseMetaData.getSystemFunctions()`

### getTimeDateFunctions

public abstract String getTimeDateFunctions()
INTERNAL

Returns:
  list of supported time/date functions
See Also:
  - `DatabaseMetaData.getTimeDateFunctions()`

### getSearchStringEscape

public abstract String getSearchStringEscape()
INTERNAL

Returns:
  search string escape sequence
See Also:
  - `DatabaseMetaData.getSearchStringEscape()`

### getProcedures

public abstract ResultInterface getProcedures(String catalog, String schemaPattern, String procedureNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `procedureNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getProcedures(String, String, String)`

### getProcedureColumns

public abstract ResultInterface getProcedureColumns(String catalog, String schemaPattern, String procedureNamePattern, String columnNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `procedureNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getProcedureColumns(String, String, String, String)`

### getTables

public abstract ResultInterface getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `types` - String[]
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getTables(String, String, String, String[])`

### getSchemas

public abstract ResultInterface getSchemas()
INTERNAL

Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getSchemas()`

### getCatalogs

public abstract ResultInterface getCatalogs()
INTERNAL

Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getCatalogs()`

### getTableTypes

public abstract ResultInterface getTableTypes()
INTERNAL

Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getTableTypes()`

### getColumns

public abstract ResultInterface getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getColumns(String, String, String, String)`

### getColumnPrivileges

public abstract ResultInterface getColumnPrivileges(String catalog, String schema, String table, String columnNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getColumnPrivileges(String, String, String, String)`

### getTablePrivileges

public abstract ResultInterface getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getTablePrivileges(String, String, String)`

### getBestRowIdentifier

public abstract ResultInterface getBestRowIdentifier(String catalogPattern, String schemaPattern, String tableName, int scope, boolean nullable)
INTERNAL

Parameters:
  `catalogPattern` - "LIKE" style pattern to filter result
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableName` - table of interest
  `scope` - of interest
  `nullable` - include nullable columns
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getBestRowIdentifier(String, String, String, int, boolean)`

### getVersionColumns

public abstract ResultInterface getVersionColumns(String catalog, String schema, String table)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getVersionColumns(String, String, String)`

### getPrimaryKeys

public abstract ResultInterface getPrimaryKeys(String catalog, String schema, String table)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getPrimaryKeys(String, String, String)`

### getImportedKeys

public abstract ResultInterface getImportedKeys(String catalog, String schema, String table)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getImportedKeys(String, String, String)`

### getExportedKeys

public abstract ResultInterface getExportedKeys(String catalog, String schema, String table)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getExportedKeys(String, String, String)`

### getCrossReference

public abstract ResultInterface getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable)
INTERNAL

Parameters:
  `primaryCatalog` - to inspect
  `primarySchema` - to inspect
  `primaryTable` - to inspect
  `foreignCatalog` - to inspect
  `foreignSchema` - to inspect
  `foreignTable` - to inspect
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getCrossReference(String, String, String, String, String, String)`

### getTypeInfo

public abstract ResultInterface getTypeInfo()
INTERNAL

Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getTypeInfo()`

### getIndexInfo

public abstract ResultInterface getIndexInfo(String catalog, String schema, String table, boolean unique, boolean approximate)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
  `unique` - only
  `approximate` - allowed
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getIndexInfo(String, String, String, boolean, boolean)`

### getUDTs

public abstract ResultInterface getUDTs(String catalog, String schemaPattern, String typeNamePattern, int[] types)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
  `types` - int[]
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getUDTs(String, String, String, int[])`

### getSuperTypes

public abstract ResultInterface getSuperTypes(String catalog, String schemaPattern, String typeNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getSuperTypes(String, String, String)`

### getSuperTables

public abstract ResultInterface getSuperTables(String catalog, String schemaPattern, String tableNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getSuperTables(String, String, String)`

### getAttributes

public abstract ResultInterface getAttributes(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
  `attributeNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getAttributes(String, String, String, String)`

### getDatabaseMajorVersion

public abstract int getDatabaseMajorVersion()
INTERNAL

Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getDatabaseMajorVersion()`

### getDatabaseMinorVersion

public abstract int getDatabaseMinorVersion()
INTERNAL

Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getDatabaseMinorVersion()`

### getSchemas

public abstract ResultInterface getSchemas(String catalog, String schemaPattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getSchemas(String, String)`

### getFunctions

public abstract ResultInterface getFunctions(String catalog, String schemaPattern, String functionNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `functionNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getFunctions(String, String, String)`

### getFunctionColumns

public abstract ResultInterface getFunctionColumns(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `functionNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getFunctionColumns(String, String, String, String)`

### getPseudoColumns

public abstract ResultInterface getPseudoColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)
INTERNAL

Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  - `DatabaseMetaData.getPseudoColumns(String, String, String, String)`